<?php

namespace App\Http\Controllers;

class CouponController extends Controller
{

    public function index()
    {
        $tick = 'YSD' . date('ymdHi') . mt_rand(100, 999);
        $tick = strtotime(date('YmdHi', time())) . substr(microtime(), 2, 6) . sprintf('%03d', rand(0, 999));
        $data = [
            'code'       => 200,
            'couponCode' => $tick,
        ];

        return $data;
    }

}
